org.apache.xerces.impl.xs

## Class SchemaGrammar.XSAnyType

- java.lang.Object
- - org.apache.xerces.impl.xs.XSComplexTypeDecl
  - - org.apache.xerces.impl.xs.SchemaGrammar.XSAnyType

- All Implemented Interfaces:
    org.apache.xerces.xs.XSComplexTypeDefinition, org.apache.xerces.xs.XSObject, org.apache.xerces.xs.XSTypeDefinition, org.w3c.dom.TypeInfo
  Enclosing class:
    SchemaGrammar

      public static class SchemaGrammar.XSAnyType
      extends XSComplexTypeDecl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xerces.xs.XSComplexTypeDefinition

      `CONTENTTYPE_ELEMENT, CONTENTTYPE_EMPTY, CONTENTTYPE_MIXED, CONTENTTYPE_SIMPLE`

    - ### Fields inherited from interface org.apache.xerces.xs.XSTypeDefinition

      `COMPLEX_TYPE, SIMPLE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaGrammar.XSAnyType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.xs.XSObjectList` | `getAnnotations()` Optional.
    `org.apache.xerces.xs.XSNamespaceItem` | `getNamespaceItem()` A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
    `void` | `reset()`
    `void` | `setContainsTypeID()`
    `void` | `setIsAbstractType()`
    `void` | `setIsAnonymous()`
    `void` | `setName(java.lang.String name)`
    `void` | `setValues(java.lang.String name, java.lang.String targetNamespace, org.apache.xerces.xs.XSTypeDefinition baseType, short derivedBy, short schemaFinal, short block, short contentType, boolean isAbstract, XSAttributeGroupDecl attrGrp, XSSimpleType simpleType, XSParticleDecl particle)`

    - ### Methods inherited from class org.apache.xerces.impl.xs.XSComplexTypeDecl

      `containsTypeID, derivedFrom, derivedFromType, getAbstract, getAnonymous, getAssertions, getAttrGrp, getAttributeUse, getAttributeUses, getAttributeWildcard, getBaseType, getContentModel, getContentModel, getContentType, getContext, getDerivationMethod, getFinal, getFinalSet, getName, getNamespace, getOpenContent, getParticle, getProhibitedSubstitutions, getSimpleType, getTargetNamespace, getType, getTypeCategory, getTypeName, getTypeNamespace, isDerivedFrom, isDOMDerivedFrom, isFinal, isProhibitedSubstitution, setAssertions, setBaseType, setContext, setDerivationMethod, setValues, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaGrammar.XSAnyType

          public SchemaGrammar.XSAnyType()

  - ### Method Detail

    - #### setValues

          public void setValues(java.lang.String name,
                       java.lang.String targetNamespace,
                       org.apache.xerces.xs.XSTypeDefinition baseType,
                       short derivedBy,
                       short schemaFinal,
                       short block,
                       short contentType,
                       boolean isAbstract,
                       XSAttributeGroupDecl attrGrp,
                       XSSimpleType simpleType,
                       XSParticleDecl particle)

    - #### setName

          public void setName(java.lang.String name)

      Overrides:
        `setName` in class `XSComplexTypeDecl`

    - #### setIsAbstractType

          public void setIsAbstractType()

      Overrides:
        `setIsAbstractType` in class `XSComplexTypeDecl`

    - #### setContainsTypeID

          public void setContainsTypeID()

      Overrides:
        `setContainsTypeID` in class `XSComplexTypeDecl`

    - #### setIsAnonymous

          public void setIsAnonymous()

      Overrides:
        `setIsAnonymous` in class `XSComplexTypeDecl`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `XSComplexTypeDecl`

    - #### getAnnotations

          public org.apache.xerces.xs.XSObjectList getAnnotations()

      Description copied from class: `XSComplexTypeDecl`
      Optional. Annotation.
      Specified by:
        `getAnnotations` in interface `org.apache.xerces.xs.XSComplexTypeDefinition`
      Overrides:
        `getAnnotations` in class `XSComplexTypeDecl`

    - #### getNamespaceItem

          public org.apache.xerces.xs.XSNamespaceItem getNamespaceItem()

      Description copied from interface: `org.apache.xerces.xs.XSObject`
      A namespace schema information item corresponding to the target namespace of the component, if it is globally declared; or `null` otherwise.
      Specified by:
        `getNamespaceItem` in interface `org.apache.xerces.xs.XSObject`
      Overrides:
        `getNamespaceItem` in class `XSComplexTypeDecl`
      See Also:
        `XSObject.getNamespaceItem()`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.